libogg documentation | libogg release 1.0 - 20000615

# ogg_sync_clear

declared in "ogg/ogg.h";

This function is used to free the internal storage of an ogg_sync_state struct and resets the struct to the initial state. To free the entire struct, ogg_sync_destroy should be used instead. In situations where the struct needs to be reset but the internal storage does not need to be freed, ogg_sync_reset should be used.

    int ogg_sync_clear(ogg_sync_state *oy);

### Parameters

oy
  Pointer to a previously declared ogg_sync_state struct.

### Return Values

> - 0 is always returned.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615